LinuxQMISDK: qaGobiApiCat.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Functions
qaGobiApiCat.h File Reference
Card Application Toolkit (CAT)

Card Application Toolkit API function headers. More...

Go to the source code of this file.

## Functions
ULONG | CATSendEnvelopeCommand (ULONG cmdID, ULONG dataLen, BYTE *pData)
ULONG | CATSendTerminalResponse (ULONG refID, ULONG dataLen, BYTE *pData)

## Detailed Description

Card Application Toolkit API function headers.

Copyright: © 2011 Sierra Wireless, Inc. all rights reserved

## Function Documentation

ULONG CATSendEnvelopeCommand | ( | ULONG | cmdID,
|  | ULONG | dataLen,
|  | BYTE * | pData
| ) |  |

Sends the envelope command to the device.

Parameters

  cmdID | Envelope command type 0x01 - Menu Selection 0x02 - Event DL User activity 0x03 - Event DL Idle Screen Available 0x04 - Event DL Language Selection
  dataLen | Length of pData in bytes
  pData[IN] | Encoded envelope data as defined in ETSI TS 102 223, section 7 [Smart Cards: Card Application Toolkit (CAT) – Release 4]

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 2 seconds

ULONG CATSendTerminalResponse | ( | ULONG | refID,
|  | ULONG | dataLen,
|  | BYTE * | pData
| ) |  |

Sends the terminal response to the device.

Parameters

  refID | Proactive command reference ID. The value should be the same as indicated in the CAT event callback data for the relevant proactive command.
  dataLen | Terminal response data length
  pData[IN] | Terminal response for the relevant proactive command encoded as per ETSI TS 102 223, section 6.8 [Smart Cards: Card Application Toolkit (CAT) – Release 4]

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 2 seconds